require_relative '../core/lib/fenix/core/version'

Gem::Specification.new do |spec|
  spec.name          = 'fenix'
  spec.version       = Fenix.version
  spec.authors       = ['Benjamin Bloch']
  spec.email         = ['cirex@aethernet.org']
  spec.homepage      = 'https://github.com/fenix-novus/fenix'
  spec.license       = 'MIT'
  spec.description   = 'Lightweight web framework inspired by Sinatra'
  spec.summary       = spec.description

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r(/bin/)) { |file| File.basename(file) }
  spec.test_files    = spec.files.grep(%r(/spec/))
  spec.require_paths = ['lib']

  private_key = File.expand_path('~/keys/gem-private.pem')

  if File.exists?(private_key)
    spec.signing_key = private_key
    spec.cert_chain  = ['../fenix-public.pem']
  end

  spec.add_runtime_dependency 'thor', '~> 0.18'
  spec.add_runtime_dependency 'bundler'

  # spec.add_runtime_dependency 'fenix-assets',  Fenix.version
  # spec.add_runtime_dependency 'fenix-cache',   Fenix.version
  # spec.add_runtime_dependency 'fenix-cookies', Fenix.version
    spec.add_runtime_dependency 'fenix-core',    Fenix.version
  # spec.add_runtime_dependency 'fenix-forms',   Fenix.version
  # spec.add_runtime_dependency 'fenix-mail',    Fenix.version

  spec.add_development_dependency 'rspec', '= 3.0.0.beta1'

  spec.required_ruby_version = '>= 2.1.0'
end